<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_array.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
<h1>vx_array.h</h1><a href="vx__array_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * Copyright (c) 2012-2016 The Khronos Group Inc.</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a</span>
<a name="l00005"></a>00005 <span class="comment"> * copy of this software and/or associated documentation files (the</span>
<a name="l00006"></a>00006 <span class="comment"> * &quot;Materials&quot;), to deal in the Materials without restriction, including</span>
<a name="l00007"></a>00007 <span class="comment"> * without limitation the rights to use, copy, modify, merge, publish,</span>
<a name="l00008"></a>00008 <span class="comment"> * distribute, sublicense, and/or sell copies of the Materials, and to</span>
<a name="l00009"></a>00009 <span class="comment"> * permit persons to whom the Materials are furnished to do so, subject to</span>
<a name="l00010"></a>00010 <span class="comment"> * the following conditions:</span>
<a name="l00011"></a>00011 <span class="comment"> *</span>
<a name="l00012"></a>00012 <span class="comment"> * The above copyright notice and this permission notice shall be included</span>
<a name="l00013"></a>00013 <span class="comment"> * in all copies or substantial portions of the Materials.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * MODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS</span>
<a name="l00016"></a>00016 <span class="comment"> * KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS</span>
<a name="l00017"></a>00017 <span class="comment"> * SPECIFICATIONS AND HEADER INFORMATION ARE LOCATED AT</span>
<a name="l00018"></a>00018 <span class="comment"> *    https://www.khronos.org/registry/</span>
<a name="l00019"></a>00019 <span class="comment"> *</span>
<a name="l00020"></a>00020 <span class="comment"> * THE MATERIALS ARE PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,</span>
<a name="l00021"></a>00021 <span class="comment"> * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF</span>
<a name="l00022"></a>00022 <span class="comment"> * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.</span>
<a name="l00023"></a>00023 <span class="comment"> * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY</span>
<a name="l00024"></a>00024 <span class="comment"> * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,</span>
<a name="l00025"></a>00025 <span class="comment"> * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE</span>
<a name="l00026"></a>00026 <span class="comment"> * MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.</span>
<a name="l00027"></a>00027 <span class="comment"> */</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="preprocessor">#ifndef VX_ARRAY_H_</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#define VX_ARRAY_H_</span>
<a name="l00033"></a>00033 <span class="preprocessor"></span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00036"></a>00036 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00037"></a>00037 <span class="preprocessor">#endif</span>
<a name="l00038"></a>00038 <span class="preprocessor"></span>
<a name="l00049"></a><a class="code" href="group__group__vx__array__cfg.html#gabbd167c37dae1c0efaf80b88ce66d870">00049</a> <span class="preprocessor">#define TIVX_ARRAY_MAX_MAPS     (16u)</span>
<a name="l00050"></a>00050 <span class="preprocessor"></span>
<a name="l00056"></a><a class="code" href="structtivx__array__map__info__t.html">00056</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>_tivx_array_map_info_t
<a name="l00057"></a>00057 {
<a name="l00059"></a><a class="code" href="structtivx__array__map__info__t.html#a5e5de0b77a54378a551b18a416efa4d3">00059</a>     uint8_t *map_addr;
<a name="l00061"></a><a class="code" href="structtivx__array__map__info__t.html#a7fc7263865726c5992423a1477b58cdc">00061</a>     <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a>  map_size;
<a name="l00063"></a><a class="code" href="structtivx__array__map__info__t.html#a6b9e256330b56e257c327b80fb3aec0c">00063</a>     <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> usage;
<a name="l00064"></a>00064 } <a class="code" href="structtivx__array__map__info__t.html" title="Information about a array mapping.">tivx_array_map_info_t</a>;
<a name="l00065"></a>00065 
<a name="l00071"></a><a class="code" href="structtivx__array__t.html">00071</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>_vx_array
<a name="l00072"></a>00072 {
<a name="l00074"></a><a class="code" href="structtivx__array__t.html#afd2acd8907877b1504c4cf6c8237a75b">00074</a>     <a class="code" href="structtivx__reference__t.html" title="The most basic type in the OpenVX system. Any type that inherits from tivx_reference_t...">tivx_reference_t</a> base;
<a name="l00075"></a>00075 
<a name="l00077"></a><a class="code" href="structtivx__array__t.html#aad4e747dfb2108437a38e7c2f16d3fa4">00077</a>     <a class="code" href="structtivx__array__map__info__t.html" title="Information about a array mapping.">tivx_array_map_info_t</a> maps[<a class="code" href="group__group__vx__array__cfg.html#gabbd167c37dae1c0efaf80b88ce66d870" title="Max possible mapping via vxMapArray supported.">TIVX_ARRAY_MAX_MAPS</a>];
<a name="l00078"></a>00078 } <a class="code" href="structtivx__array__t.html" title="Array object internal state.">tivx_array_t</a>;
<a name="l00079"></a>00079 
<a name="l00080"></a>00080 
<a name="l00081"></a>00081 
<a name="l00093"></a>00093 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="vx__array_8h.html#a8a098186365e5af5d29c57259e4111bb" title="function to initialize virtual array parameters">ownInitVirtualArray</a>(
<a name="l00094"></a>00094     <a class="code" href="vx__types_8h.html#ab1f0193f8a470dd2fe10de539a533697" title="The Array Object. Array is a strongly-typed container for other data structures.">vx_array</a> arr, <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> item_type, <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> capacity);
<a name="l00095"></a>00095 
<a name="l00096"></a>00096 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00097"></a>00097 <span class="preprocessor"></span>}
<a name="l00098"></a>00098 <span class="preprocessor">#endif</span>
<a name="l00099"></a>00099 <span class="preprocessor"></span>
<a name="l00100"></a>00100 <span class="preprocessor">#endif</span>
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
